﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WinGridFormatSummarries
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable("Sales");
            dt.Columns.Add("SalesID", typeof(int));
            dt.Columns.Add("Price", typeof(int));
            dt.Columns.Add("Quantity", typeof(int));
            dt.Columns.Add("Total", typeof(double));
            dt.Rows.Add(new object[] { 1, 5000, 8000, 4522.25 });
            dt.Rows.Add(new object[] { 2, 5000, 954, 865.25 });
            dt.Rows.Add(new object[] { 3, 500, 9654, 8569.25 });
            dt.Rows.Add(new object[] { 4, 500, 9654, 5452.28 });
            dt.Rows.Add(new object[] { 5, 500, 9654, 4522.25 });
            dt.Rows.Add(new object[] { 6, 50, 9654, 865.35 });
            dt.Rows.Add(new object[] { 7, 50, 9654, 8569.29 });
            dt.Rows.Add(new object[] { 8, 50, 9654, 5452.25 });
            dt.Rows.Add(new object[] { 9, 500, 9654, 4522.25 });
            dt.Rows.Add(new object[] { 10, 500, 9654, 865.24 });
            dt.Rows.Add(new object[] { 11, 500, 9654, 8569.25 });
            dt.Rows.Add(new object[] { 12, 500, 9654, 5452.25 });

            ultraGrid1.DataSource = dt;

        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            this.ultraGrid1.DisplayLayout.ViewStyleBand = ViewStyleBand.OutlookGroupBy;
            this.ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add("Price", false, true);
            this.ultraGrid1.DisplayLayout.Override.AllowRowSummaries = AllowRowSummaries.True;
            this.ultraGrid1.DisplayLayout.Override.SummaryDisplayArea = SummaryDisplayAreas.GroupByRowsFooter | SummaryDisplayAreas.BottomFixed;

            UltraGridBand band = this.ultraGrid1.DisplayLayout.Bands[0];

          
            SummarySettings summary = band.Summaries.Add(SummaryType.Sum, band.Columns["Total"]);
            summary.SummaryPosition = SummaryPosition.Left;
            summary.DisplayFormat = "Total = {0:$#,###}";
            SummarySettings summary1 = band.Summaries.Add(SummaryType.Sum, band.Columns["Total"]);
            summary1.SummaryPosition = SummaryPosition.Left;
            summary1.DisplayFormat = "Total = {0:#,###}";
            SummarySettings summary2 = band.Summaries.Add(SummaryType.Sum, band.Columns["Total"]);
            summary2.SummaryPosition = SummaryPosition.Left;
            summary2.DisplayFormat = "Total = {0:#,###.##}";
        }
    }
}
